{
  syscfg = {
    hostname = "sandbox";
    type = "nixos";
    defaultUser = "sora";
    users = [{
      username = "sora";
      pubssh = "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAINrrUB0KBjeAKPVG2Bdcm4mI9AMab7y97SOCdEHGogYv sora@gateway";
      wm = "-";
      git = {
        email = "soraefir+git@helcel";
        username = "soraefir";
        key = "4E241635F8EDD2919D2FB44CA362EA0491E2EEA0";
      };
    }];
    make = {
      cli = true;
      virt = true;
    };
    server = {
      domain = "test.helcel.net";
      openssh = true;
      web = true;

      # mail = {
      #   server = ...
      #   user = ...
      #   ...
      # };
      
      containers = {
        # ===== BASE =====
        traefik.subdomain = "traefik";
        traefik.extra={provider="infomaniak";};
        umami.subdomain = "umami";
        authentik.subdomain = "sso";
        searxng.subdomain = "searx";
        homepage.subdomain = "home";
        homepage.extra.stocks = [ "GLD" "VOO" "QUIK" "AMD" "DPRO" "KTOS" "NNE" "NVO" ];
        # ===== CLOUD =====
        nextcloud.subdomain = "cloud";
        collabora.subdomain = "office";
        etherpad.subdomain = "pad";
        # ethercalc.subdomain = "calc";
        immich.subdomain = "pic";
        # ===== FLIX =====
        # invidious.subdomain = "yt";
        # jellyfin.subdomain = "flix";
        # servarr.subdomain = "arr";
        # servarr.extra.modules = ["prowlarr" "sonarr" "radarr" "flaresolverr" ];
        # transmission = { subdomain = "arr"; subpath = "transmission"; };
        # handbrake = { subdomain = "arr"; subpath = "hb"; };
        # ===== DEV =====
        gitea.subdomain = "git";
        # ===== HOME =====
        # openhab.subdomain = "hab";
        # trmnl = { subdomain = "hass"; subpath = "trmnl"; };
        influx.subdomain = "metrum";

        freshrss.subdomain = "rss";
        suwayomi.subdomain = "manga";
        calibre.subdomain = "books";
        selfmark = { subdomain = "arr"; subpath = "selfmark"; };

        favicon.extra = {
          mappings = {
            traefik={bg="base01";fg="low0B";};
            umami={bg="base01";fg="low0B";};
            sso={bg="base01";fg="high08";};
            searx={bg="base01";fg="alt_high0D";};
            home={bg="base01";fg="base07";};
            cloud={bg="base01";fg="high0C";};
            office={bg="base01";fg="alt_high0C";};
            pad={bg="base01";fg="alt_high0C";};
            #calc={bg="base01";fg="alt_high0C";};
            pic={bg="base01";fg="high09";};
            yt={bg="base01";fg="high0F";};
            flix={bg="base01";fg="high0D";};
            arr={bg="base01";fg="low0D";};
            git={bg="base01";fg="high0A";};
            hab={bg="base01";fg="high08";};
            metrum={bg="base01";fg="low0B";};
            rss={bg="base01";fg="high0A";};
            manga={bg="base01";fg="high0E";};
            books={bg="base01";fg="high0E";};
          };
          default = {
            bg = "base01";
            fg = "base07";
          };
        };
      };
    };
    monitoring.telegraf = {
      enable = true;
      interval = "15s";
      collectors = [
        "cpu"
        "mem"
        #"swap"
        "system"
        "disk"
        "diskio"
        #"kernel"
        "net"
        #"netstat"
        #"processes"
        "docker"
        "systemd_units"
        "nix"
        "ping"
        "internet_speed"
      ];
      outputs = [ "http://127.0.0.1:8181" ];
    };
  };
}
